body {
    background-color: rgb(255, 250, 240);

    margin: 0;
    text-align: center;
    font-family: sans-serif;
    font-size: 100%;

    padding-top: 3rem;
}

header {
    box-sizing: border-box;
    position: fixed;
    top: 0;
    left: 0;

    width: 100%;

    background-color: #4ee;
    color: #fff;

    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 0.5rem 2rem;
    padding-right: 1rem;
}

.logo {
    font-size: 2rem;
    font-weight: bold;
}

nav {
    display: flex;
    gap: 0;
}

nav a {
    color: #fff;
    text-decoration: none;
    padding: 0.6rem;
}

nav a:hover {
    color: #fa0;
}

.currentPage {
    background-color: rgba(200,255,255,0.5);
    color: #fff;
    font-weight: bold;
    border-bottom: 3px solid #fff;
    border-radius: 2px;
}

#quiz-list div:not(.genre-list) {
    display: grid;
    grid-template-columns: 1fr auto;
    grid-template-rows: auto 1fr;

    cursor: pointer;
    box-sizing: border-box;
    border: solid #bbb;
    border-width: 1px 0 0;
    padding: 0 2rem;
    margin: 0 auto;
    width: 90%;
    max-width: 600px;
    background-color: #fafafa;
    text-align: left;
    line-height: 1;
}

.title {
    grid-column: 1;
    grid-row: 1;
    margin: 1rem 0;
}

.genre-list {
    grid-column: 2;
    grid-row: 1;
    justify-self: start;
    display: flex;
    flex-wrap: wrap;
    gap: 0.25rem;
    align-items: center;
}

.genre-list .genre {
    cursor: default;
    text-decoration: underline;
    color: #333;
    font-size: 0.8rem;
}

.genre-list .genre:hover {
    background-color: #ddd;
}

.desc {
    grid-column: 1 / 3;
    grid-row: 2;
}

#quiz-list div:hover {
    background-color: #f4f4f4;
}

#quiz-list div:active {
    background-color: #f0f0f0;
}